Bug 717473 - (SeqAn) Review Request: SeqAn - Biological sequence analysis library
Review Request: SeqAn - Biological sequence analysis library
Status: CLOSED DUPLICATE of bug 1105730
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: tophat
  Show dependency treegraph
 
Reported: 2011-06-28 17:39 EDT by Adam Huffman
Modified: 2014-06-24 17:41 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-04 10:56:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Huffman 2011-06-28 17:39:00 EDT
Spec URL: http://verdurin.fedorapeople.org/reviews/SeqAn/SeqAn.spec
SRPM URL: http://verdurin.fedorapeople.org/reviews/SeqAn/SeqAn-1.3-4.fc15.src.rpm
Description: 
SeqAn is an open source C++ library of efficient algorithms and data                                                 structures for the analysis of sequences with the focus on biological                                                
data. Our library applies a unique generic design that guarantees high                                               
performance, generality, extensibility, and integration with other                                                   
libraries. SeqAn is easy to use and simplifies the development of new                                                
software tools with a minimal loss of performance.
Comment 1 Volker Fröhlich 2011-06-28 18:25:32 EDT
Rabema and Stellar are licensed as GPLv3+, other components are LGPLv3+.

Did you manage to use the system wide samtools?

The package doesn't build in Mock or with rpmbuild: rm: cannot remove `SeqAn-1.3/apps/stellar/examples/reads.fasta': Permission denied
...
Comment 2 Adam Huffman 2011-06-29 02:58:17 EDT
Thanks for looking - it definitely needs more work, I just wanted to start the process.

Puzzled by the error as it builds fine in Mock for me (for F15 - for some reason it complains about not being able to find samtools-devel on F14).

There's also a question of naming.  Upstream they oscillate between SeqAn, Seqan and seqan...
Comment 3 Volker Fröhlich 2011-06-29 18:41:02 EDT
The tests aren't executed.

I found out, what causes my build troubles:

+ rm -rf SeqAn-1.3
rm: cannot remove `SeqAn-1.3/apps/stellar/examples/reads.fasta': Permission denied
rm: cannot remove `SeqAn-1.3/apps/stellar/examples/NC_001477.fasta': Permission denied
rm: cannot remove `SeqAn-1.3/apps/stellar/examples/NC_001474.fasta': Permission denied

The examples directory ends up with 644, although it isn't like that in the tarball. I happens while installing:

+ chmod 0644 /builddir/build/BUILD/SeqAn-1.3/apps/stellar/README /builddir/build/BUILD/SeqAn-1.3/apps/stellar/examples [...]
Comment 4 Adam Huffman 2011-06-29 18:46:39 EDT
Yes, I added that to fix the rpmlint complaint about executable files. Will take a closer look.
Comment 5 Adam Huffman 2012-01-08 07:19:41 EST
Taking another look at this now.
Comment 6 Adam Huffman 2012-01-30 17:46:06 EST
Updated to include BR for Boost:

http://verdurin.fedorapeople.org/reviews/SeqAn/SeqAn.spec

http://verdurin.fedorapeople.org/reviews/SeqAn/SeqAn-1.3-5.fc16.src.rpm

Still needs more work.
Comment 7 Volker Fröhlich 2012-02-21 17:35:15 EST
You can remove defattr. By stating Python >= 2.5, you excluded EPEL 5 and can therefore remove clean section, rm in install section and buildroot definition too.

I fail to see where the library is. If there is no library, the devel package doesn't make any sense, as far as I know.

The license file should be in the main package.

Repeating for completeness' sake: Parts of this package are GPL and LGPL. The overall license can not be BSD therefore.

The trouble from comment #3 is still there, by the way.

The tests don't seem to run:

+ cd /builddir/build/BUILD
+ cd SeqAn-1.3
+ unset DISPLAY
+ ctest
*********************************
No test configuration file found!
*********************************
Comment 8 Volker Fröhlich 2012-05-20 17:33:34 EDT
Adam, are you still working on this package?
Comment 9 Adam Huffman 2012-05-21 04:32:39 EDT
(In reply to comment #8)
> Adam, are you still working on this package?

Haven't looked at it in a while.  I've changed jobs now and am no longer in the biology field, so this is less of a personal priority.  However, if people do want it, I'm happy to try and complete the initial packaging.
Comment 10 Sébastien Boisvert 2012-11-03 00:12:06 EDT
So as I understand, there is a confusion regarding the licensing (comment #7). Is that right ?
Comment 11 Volker Fröhlich 2012-11-18 17:13:35 EST
Not really confusion; the overall license just can't be BSD, because parts of the code are GPL and LGPL of some version.
Comment 12 Volker Fröhlich 2013-05-04 05:43:54 EDT
Adam, what are your plans about SeqAn? If you don't plan to proceed, we can close this ticket.
Comment 13 Adam Huffman 2013-05-04 10:56:54 EDT
No, I'll close this so someone else can take over.
Comment 14 Dave Love 2014-06-06 17:29:28 EDT
I've worked on this.  Presumably it will need a new review request, and I'll have
to check the build of tophat against it, which may take me a while, but I thought it
was worth recording that it's in progress.

http://arc.liv.ac.uk/downloads/misc/SPECS/seqan.spec
Comment 15 Christopher Meng 2014-06-06 22:15:52 EDT

*** This bug has been marked as a duplicate of bug 1105730 ***

Note You need to log in before you can comment on or make changes to this bug.